Announcement

Collapse
No announcement yet.

Database error when i try to upgrade from vb 3.8.7 to vb 5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Newestsys
    replied
    Originally posted by AliMadkour View Post
    • Very important to take a full backup for your database before edit it
    • Make sure that no plugins ( vB3 plugins won't work with vB5 )
    • Open PhpMyAdmin then select forum database -> you will see a Column called Collation all must be same for you I think latin1_swedish_ci if you see a different one Click on table name Operations Tab Table options->Collation-> Set it to latin1_swedish_ci and click go. Check all tables they must be the same,
    thanks Ali
    I will try it tomorrow and go back to you

    Leave a comment:


  • AliMadkour
    replied
    • Very important to take a full backup for your database before edit it
    • Make sure that no plugins ( vB3 plugins won't work with vB5 )
    • Open PhpMyAdmin then select forum database -> you will see a Column called Collation all must be same for you I think latin1_swedish_ci if you see a different one Click on table name Operations Tab Table options->Collation-> Set it to latin1_swedish_ci and click go. Check all tables they must be the same,

    Leave a comment:


  • Newestsys
    replied
    how to do this Mr Ali and wat's table? the

    Leave a comment:


  • AliMadkour
    replied
    You need to change the tables that are latin1_general_ci to latin1_swedish_ci use PhpMyadmin to do that

    Leave a comment:


  • Database error when i try to upgrade from vb 3.8.7 to vb 5

    hello
    this is the error message

    Code:
    Unexpected Text:
    
    <?xml version="1.0" encoding="windows-1252"?>
    
                Database error in vBulletin 4.2.1 Alpha 1:
    
                
    [Showing truncated query, original length: 949]
    [First 100 chars]
    Invalid SQL:
    (SELECT 'package' AS classtype, package.packageid AS typeid, package.packageid AS pack
    [Last 100 chars]
    productid
            WHERE product.active = 1
            OR package.productid = 'vbulletin')
            
    /**getContentTypes**/;
    
                 MySQL Error   : Illegal mix of collations  (latin1_general_ci,IMPLICIT) and (latin1_swedish_ci,IMPLICIT) for  operation '='
                Error Number  : 1267
                Request Date  : Thursday, November 29th 2012 @ 04:59:28 PM
                Error Date    : Thursday, November 29th 2012 @ 04:59:28 PM
                Script        : http:///vb5/core/install/upgrade.php
                Referrer      : [URL]http://simosat2020.com/vb5/core/install/upgrade.php[/URL]
                IP Address    : 41.141.104.252
                Username      : 
                Classname     : vB_Database
                MySQL Version : 5.1.65-cll
    how to solve this problem

Related Topics

Collapse

Working...
X